# $Revision: 1.28 $, $Date: 2010/06/03 15:31:38 $
Summary:	A Free command-line MP3 player based on smpeg
Summary(pl.UTF-8):	Odtwarzacz MP3 bazujący na smpeg wywoływany z linii poleceń
Name:		mpg321
Version:	0.2.11
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/mpg321/%{name}-%{version}.tar.gz
# Source0-md5:	601a79ed8bbad00b14508092b854ca48
Patch0:		%{name}-tags.patch
URL:		http://sourceforge.net/projects/mpg321/
BuildRequires:	libao-devel
BuildRequires:	libid3tag-devel > 0.14
BuildRequires:	libmad-devel > 0.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mpg321 is a clone of the popular mpg123 command-line MP3 player. It
should function as a drop-in replacement for mpg123 in many simple
cases. However, it is currently very simple, and many of the
command-line options of mpg123 are no-ops. Don't expect this program
to work for everything! In particular, it will probably work with
front-ends (tested with gqmpeg) and as a MP3-to-WAV decoder. On
lower-end systems it will probably not be as efficient as mpg123,
however.

%description -l pl.UTF-8
mpg321 to klon popularnego odtwarzacza MP3 mpg123. mpg321 powinien być
doskonałym zamiennikiem dla mpg123 w wielu prostych przypadkach.
Jednak na razie jest bardzo prosty, i wiele opcji z linii poleceń
mpg123 jest ignorowane. Nie należy oczekiwać, że ten program będzie
będzie działać w każdej sytuacji! W szczególności, prawdopodobnie
będzie działać z frontendami (testowane z programem gqmpeg) oraz jako
dekoder MP3 do WAV. Na bardzo słabych systemach prawdopodobnie nie
będzie tak wydajny jak mpg123.

%package mpg123
Summary:	Package to use mpg321 as mpg123 replacement
Summary(pl.UTF-8):	Pakiet pozwalający używać mpg321 jako zamiennika mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	mpg123
Obsoletes:	mpg123

%description mpg123
Package to use mpg321 as mpg123 replacement.

%description mpg123 -l pl.UTF-8
Pakiet pozwalający używać mpg321 jako zamiennika mpg123.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so mpg321.1' > $RPM_BUILD_ROOT%{_mandir}/man1/mpg123.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README README.remote THANKS NEWS TODO BUGS debian/changelog
%attr(755,root,root) %{_bindir}/mpg321
%{_mandir}/man*/mpg321.1*

%files mpg123
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpg123
%{_mandir}/man*/mpg123.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpg321.spec,v $
Revision 1.28  2010/06/03 15:31:38  baggins
- rel 2

Revision 1.27  2009/11/08 15:52:34  adamg
- updated to 0.2.11

Revision 1.26  2008/07/27 22:20:21  arekm
- release 6

Revision 1.25  2007-02-13 07:16:48  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.23  2006/11/09 20:50:45  glen
- strict internal deps

Revision 1.22  2004/10/28 11:08:14  paladine
- "WAV" unification

Revision 1.21  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.20  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.19  2004/02/02 12:40:28  qboosh
- added debian patch (from their 0.2.10.3 - fixes CAN-2003-969/BTS#812)
- release 5

Revision 1.18  2003/12/12 16:17:55  speedy
- new BR

Revision 1.17  2003/12/12 16:12:56  speedy
- fixed BR.

Revision 1.16  2003/06/19 15:35:59  qboosh
- mpg321 crashes on some files mpg123 doesn't - allow installing both
- release 4

Revision 1.15  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.14  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.12  2002/12/26 18:14:47  wolf
- mpg123 sucks
- rel 3

Revision 1.11  2002/08/20 09:25:45  wolf
- typo

Revision 1.10  2002/08/19 21:24:42  qboosh
- tags patch - display id3 tag and other information not only for first file
- new %doc, completed pl description, release 2

Revision 1.9  2002/03/25 07:57:59  kloczek
- updated to 0.2.10 (fix format string security bug).

Revision 1.8  2002/03/21 10:43:16  migo
- up to 0.2.9

Revision 1.7  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 00:13:27  saq
- up to 0.2.3
- adapterized
- STBR

Revision 1.5  2002/01/18 02:13:58  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/22 00:01:43  saq
- added URL
- more docs
- removed requires: mad (unnecessary and untrue)
- STBR

Revision 1.3  2001/10/30 10:18:11  migo
- updated to 0.2.2
- now uses mad instead of SDL,smpeg
- ac,am run not needed

Revision 1.2  2001/10/10 12:21:29  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.1  2001/02/11 01:52:00  misiek
- mpg123 clone
